Name: oxine
Summary: OSD based xine frontend
Summary(uk_UA.CP1251): OSD- xine-
Summary(ru_RU.CP1251): OSD- xine-
Version: 0.5
Release: alt4.0
Copyright: GPL
Group: Video
URL: http://oxine.sourceforge.net/
Source: %name-%version.tar.bz2
Source1: %name-ru.po.bz2
Source2: %name-uk.po.bz2

Requires: menu-icons-default

# Automatically added by buildreq on Mon Jun 26 2006
BuildRequires: bzlib-devel eject fontconfig-devel gcc-c++ ImageMagick imake libcurl-devel
BuildRequires: libfreetype-devel libImageMagick-devel libjpeg-devel liblcms-devel 
BuildRequires: liblirc-devel libtiff-devel libxine-devel libXinerama-devel libXt-devel 
BuildRequires: libXtst-devel mjpegtools netpbm xorg-cf-files


%description
%name is a lightweight pure OSD (on screen display) GUI for the famous xine
engine. %name is particularly suited for set-top boxes or home entertainment
systems.

%description -l uk_UA.CP1251
%name -  OSD (on screen display) GUI   "" xine.
%name    " "   
.

%description -l ru_RU.CP1251
%name -  OSD (on screen display) GUI   "" xine.
%name    " "   
.


%prep
%setup -q
bzip -dc %SOURCE1 > po/ru.po
bzip -dc %SOURCE2 > po/uk.po
subst 's/ru/ru uk/' po/LINGUAS

%build
%configure --disable-rpath --disable-joystick 

%make_build
cd po
%make update-gmo


%install
%makeinstall

#menu
%ifdef _desktopdir
install -d %buildroot%_desktopdir
iconv -f cp1251 -t utf-8 > %buildroot%_desktopdir/%name.desktop <<__MENU__
[Desktop Entry]
Encoding=UTF-8
Name=%name
GenericName=Multimedia Player
GenericName[uk]= 
GenericName[ru]=-
Comment=OSD based xine frontend
Comment[uk]=OSD   xine
Comment[ru]=OSD   xine
Exec=%name
MultipleArgs=true
Icon=video_section.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Application;AudioVideo;
MimeType=video/mpeg;video/msvideo;video/quicktime;video/x-avi;video/x-ms-asf;\
video/x-ms-wmv;video/x-msvideo;application/x-ogg;application/ogg;audio/x-mp3;\
audio/x-mpeg;video/x-mpeg;video/x-fli;audio/x-wav;audio/x-mpegurl;audio/x-scpls;\
audio/x-ms-asx;application/vnd.rn-realmedia;audio/x-real-audio;\
audio/x-pn-realaudio;application/x-flac;audio/x-flac;\
application/x-shockwave-flash;audio/mpeg;audio/x-ms-asf;audio/x-m4a;\
audio/x-ms-wax;video/dv;video/x-anim;video/x-flc;misc/ultravox;\
application/x-matroska;audio/vnd.rn-realaudio;audio/x-pn-aiff;audio/x-pn-au;\
audio/x-pn-wav;audio/x-pn-windows-acm;image/vnd.rn-realpix;video/vnd.rn-realvideo
__MENU__
%else
install -d %buildroot%_menudir
cat > %buildroot%_menudir/%name <<__MENU__
?package(%name): command="%name" needs="X11" \
icon="video_section.png" section="Multimedia/Video" \
title="%name" \
genericname="Multimedia Player" \
longtitle="OSD based xine frontend"
__MENU__
%endif

%find_lang %name


%post
%update_menus


%postun
%clean_menus


%files -f %name.lang
%doc AUTHORS ChangeLog README TODO doc/doc.html
%_bindir/*
%dir %_datadir/%name
%_datadir/%name/*
%ifdef _desktopdir
%_desktopdir/*
%else
%_menudir/*
%endif


%changelog
* Fri Mar 30 2007 ALT QA Team Robot <qa-robot@altlinux.org> 0.5-alt4.0
- Rebuilt due to libcurl.so.3 -> libcurl.so.4 soname change.

* Tue Jun 27 2006 Serge Polkovnikov <robin@altlinux.ru> 0.5-alt4
- disable joystik support (due libjsw is absent in x86_64)

* Mon Jun 26 2006 Serge Polkovnikov <robin@altlinux.ru> 0.5-alt3
- fix buildreqs
- fix packets description
- fix menu item description
- disable joystik support by default for x86_64

%changelog
* Tue Mar 29 2006 Serge Polkovnikov <robin@altlinux.ru> 0.5-alt2
- fix russian and ukranian translations

* Mon Feb 27 2006 Serge Polkovnikov <robin@altlinux.ru> 0.5-alt1
- initial build for Sisyphus
- fix russian translation
- added ukrainian translation
